{% extends 'base.html' %}
{% load static %}

{% block title %}Widget's Announcement Board{% endblock %}
{% block content %}
    <div class="row">
        <div class="col-3 text-center text-white" style="background-color:#052c65">
            <br>
            <br>    
            <img src="{% static 'announcements_icon.png'%}" class="img-fluid" width="100" height="100">
            <br>
            <br>
            <h2>Announcements</h2>
            <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>   
            <p>© Jenica e-Sports</p>
        </div>
        <div class="col-9 text-center">
            <div class="row p-5 text-center" style="background-color:#e3e4e6">
                <h1 class="display-3"style="font-size:50px; color:#052c65">Wecome to Widget's Announcement Board!</h1>
            </div>
            <br>
            <h5 class="display-3"style="font-size:40px; color:#052c65">Announcements:</h5>
            <br>
            {% for object in announcements %}
                <a href="{{ object.get_absolute_url }}" class="link-dark; display-3" style="font-size:18px; color:#052c65">
                    {{ object.title }} by {{ object.author.first_name }} {{ object.author.last_name }}</a>
                <br>
            {% endfor %}
            <br>
            <button type="button" class="btn btn-dark" style="background-color:#e3e4e6">
                <a href="/announcements/add" class="link-dark">New Announcement</a>
            </button>
            <br>
            <br>
            <br>
            <button type="button" class="btn btn-dark" style="background-color:#052c65">
                <a href="/dashboard/" class="link-light">Dashboard</a>
            </button> &nbsp;
            <button type="button" class="btn btn-dark" style="background-color:#334277">
                <a href="/forum/" class="link-light">Forum</a>
            </button> &nbsp;
            <button type="button" class="btn btn-dark" style="background-color:#425086">
                <a href="/assignments/" class="link-light">Assignments</a>
            </button> &nbsp;
            <button type="button" class="btn btn-dark" style="background-color:#515e96">
                <a href="/calendar/" class="link-light">Calendar</a>
            </button>
        </div>
    </div>
{% endblock %}